<?php 
namespace App\Controller;

use App\Controller\AppController;
use Cake\ORM\TableRegistry ; 
use Cake\Datasource\ConnectionManager;

/**
 * Inventarios Controller
 *
 * @property \App\Model\Table\InventariosTable $Inventarios
 *
 * @method \App\Model\Entity\Inventario[]|\Cake\Datasource\ResultSetInterface paginate($object = null, array $settings = [])
 */
class InventariosController extends AppController
{

    /**
     * Index method
     *
     * @return \Cake\Http\Response|void
     */
    public function index()
    {
        $search = null;
        if(!empty($this->request->query['search'])){
            $search = $this->request->query['search'];
            $search = preg_replace('/[^a-zA-ZñÑáéíóúÁÉÍÓÚ0-9 ]/', '', $search);
            $terms = explode(' ', trim($search));
            $terms = array_diff($terms, array(''));
            foreach($terms as $term){
                $terms1[] = preg_replace('/[^a-zA-ZñÑáéíóúÁÉÍÓÚ0-9 ]/', '', $term);
                $conditions[] =  array('chasis ILIKE' => '%' . $term . '%');
            }
            $inventarios = $this->Inventarios->find('all', array('recursive' => -1, 'conditions' => $conditions, 'limit' => 200, 'order' => ['id' => 'asc']));
            $terms1 = array_diff($terms1, array(''));
            $this->set(compact('inventarios', 'terms1'));
        } else {
            $inventarios = $this->paginate($this->Inventarios, ['order' => [ 'id' => 'desc']]);
            $this->set(compact('inventarios'));
        }
    }


    public function listado()
    {
        $search = null;
        if(!empty($this->request->query['search'])){
            $search = $this->request->query['search'];
            $search = preg_replace('/[^a-zA-ZñÑáéíóúÁÉÍÓÚ0-9 ]/', '', $search);
            $terms = explode(' ', trim($search));
            $terms = array_diff($terms, array(''));
            foreach($terms as $term){
                $terms1[] = preg_replace('/[^a-zA-ZñÑáéíóúÁÉÍÓÚ0-9 ]/', '', $term);
                $conditions[] =  array('chasis ILIKE' => '%' . $term . '%');
            }
            $inventarios = $this->Inventarios->find('all', array('recursive' => -1, 'conditions' => $conditions, 'limit' => 200, 'order' => ['id' => 'asc']));
            $terms1 = array_diff($terms1, array(''));
            $this->set(compact('inventarios', 'terms1'));
        } else {
            $inventarios = $this->paginate($this->Inventarios, ['order' => [ 'id' => 'desc']]);
            $this->set(compact('inventarios'));
        }
    }

    public function listado2()
    {
        $search = null;
        if(!empty($this->request->query['search'])){
            $search = $this->request->query['search'];
            $search = preg_replace('/[^a-zA-ZñÑáéíóúÁÉÍÓÚ0-9 ]/', '', $search);
            $terms = explode(' ', trim($search));
            $terms = array_diff($terms, array(''));
            foreach($terms as $term){
                $terms1[] = preg_replace('/[^a-zA-ZñÑáéíóúÁÉÍÓÚ0-9 ]/', '', $term);
                $conditions[] =  array('chasis ILIKE' => '%' . $term . '%');
            }
            $noInventarios  =  TableRegistry::get('noinventarios');

            $inventarios = $noInventarios->find('all', array('recursive' => -1, 'conditions' => $conditions, 'limit' => 200, 'order' => ['id' => 'asc']));
            $terms1 = array_diff($terms1, array(''));
            $this->set(compact('inventarios', 'terms1'));
        } else {
             $noInventarios  =  TableRegistry::get('noinventarios');
             
            $conditions = " chequin  = 'SI' or radiotv  = 'NO' or insigniatrasera  = 'NO' or insigniadetalantera  = 'NO' or cabeceras  = 'NO' or bocina  = 'NO' or aire  = 'NO' or bloqueopuerta  = 'NO' or tapizados  = 'NO' or luces  = 'NO' or espejos  = 'NO' or herramientas  = 'NO' or cuentaaceite  = 'NO' or motorfunciona  = 'NO' or cajafunciona  = 'NO'  
                
                or chequincv  = 'SI' or radiotvcv  = 'NO' or insigniatraseracv  = 'NO' or insigniadetalanteracv  = 'NO' or cabecerascv  = 'NO' or bocinacv  = 'NO' or airecv  = 'NO' or bloqueopuertacv  = 'NO' or tapizadoscv  = 'NO' or lucescv  = 'NO' or espejoscv  = 'NO' or herramientascv  = 'NO' or cuentaaceitecv  = 'NO' or motorfuncionacv  = 'NO' or cajafuncionacv  = 'NO'  
                or chequinplaya  = 'SI' or radiotvplaya  = 'NO' or insigniatraseraplaya  = 'NO' or insigniadetalanteraplaya  = 'NO' or cabecerasplaya  = 'NO' or bocinaplaya  = 'NO' or aireplaya  = 'NO' or bloqueopuertaplaya  = 'NO' or tapizadosplaya  = 'NO' or lucesplaya  = 'NO' or espejosplaya  = 'NO' or herramientasplaya  = 'NO' or cuentaaceiteplaya  = 'NO' or motorfuncionaplaya  = 'NO' or cajafuncionaplaya  = 'NO'  
                or chequinchaperia  = 'SI' or radiotvchaperia  = 'NO' or insigniatraserachaperia  = 'NO' or insigniadetalanterachaperia  = 'NO' or cabeceraschaperia  = 'NO' or bocinachaperia  = 'NO' or airechaperia  = 'NO' or bloqueopuertachaperia  = 'NO' or tapizadoschaperia  = 'NO' or luceschaperia  = 'NO' or espejoschaperia  = 'NO' or herramientaschaperia  = 'NO' or cuentaaceitechaperia  = 'NO' or motorfuncionachaperia  = 'NO' or cajafuncionachaperia  = 'NO'  
               or chequinplaya2  = 'SI'  or radiotvplaya2  = 'NO'   or insigniatraseraplaya2  = 'NO'   or insigniadetalanteraplaya2  = 'NO'   or cabecerasplaya2  = 'NO'   or bocinaplaya2  = 'NO'   or aireplaya2  = 'NO'   or bloqueopuertaplaya2  = 'NO'   or tapizadosplaya2  = 'NO'   or lucesplaya2  = 'NO'   or espejosplaya2  = 'NO'    or herramientasplaya2  = 'NO'   or cuentaaceiteplaya2  = 'NO'   or motorfuncionaplaya2  = 'NO'  or cajafuncionaplaya2  = 'NO'  ";

            $inventarios = $noInventarios->find('all', array('conditions' => $conditions,'order' => ["to_date(fecha, 'dd:mm:yyyy') desc"]));
           
           
            $this->set('inventarios', $inventarios );
        }
    }



 public function listado3()
    {
        $search = null;
        if(!empty($this->request->query['search'])){
            $search = $this->request->query['search'];
            $search = preg_replace('/[^a-zA-ZñÑáéíóúÁÉÍÓÚ0-9 ]/', '', $search);
            $terms = explode(' ', trim($search));
            $terms = array_diff($terms, array(''));
            foreach($terms as $term){
                $terms1[] = preg_replace('/[^a-zA-ZñÑáéíóúÁÉÍÓÚ0-9 ]/', '', $term);
                $conditions[] =  array('chasis ILIKE' => '%' . $term . '%');
            }
            $noInventarios  =  TableRegistry::get('noinventarios');

            $inventarios = $noInventarios->find('all', array('recursive' => -1, 'conditions' => $conditions, 'limit' => 200, 'order' => ['id' => 'asc']));
            $terms1 = array_diff($terms1, array(''));
            $this->set(compact('inventarios', 'terms1'));
        } else {
             $noInventarios  =  TableRegistry::get('nosinventarios');
             
            $conditions = " chequin  = 'SI' or radiotv  = 'NO' or insigniatrasera  = 'NO' or insigniadetalantera  = 'NO' or cabeceras  = 'NO' or bocina  = 'NO' or aire  = 'NO' or bloqueopuerta  = 'NO' or tapizados  = 'NO' or luces  = 'NO' or espejos  = 'NO' or herramientas  = 'NO' or cuentaaceite  = 'NO' or motorfunciona  = 'NO' or cajafunciona  = 'NO'  
                
                or chequincv  = 'SI' or radiotvcv  = 'NO' or insigniatraseracv  = 'NO' or insigniadetalanteracv  = 'NO' or cabecerascv  = 'NO' or bocinacv  = 'NO' or airecv  = 'NO' or bloqueopuertacv  = 'NO' or tapizadoscv  = 'NO' or lucescv  = 'NO' or espejoscv  = 'NO' or herramientascv  = 'NO' or cuentaaceitecv  = 'NO' or motorfuncionacv  = 'NO' or cajafuncionacv  = 'NO'  
                or chequinplaya  = 'SI' or radiotvplaya  = 'NO' or insigniatraseraplaya  = 'NO' or insigniadetalanteraplaya  = 'NO' or cabecerasplaya  = 'NO' or bocinaplaya  = 'NO' or aireplaya  = 'NO' or bloqueopuertaplaya  = 'NO' or tapizadosplaya  = 'NO' or lucesplaya  = 'NO' or espejosplaya  = 'NO' or herramientasplaya  = 'NO' or cuentaaceiteplaya  = 'NO' or motorfuncionaplaya  = 'NO' or cajafuncionaplaya  = 'NO'  
                or chequinchaperia  = 'SI' or radiotvchaperia  = 'NO' or insigniatraserachaperia  = 'NO' or insigniadetalanterachaperia  = 'NO' or cabeceraschaperia  = 'NO' or bocinachaperia  = 'NO' or airechaperia  = 'NO' or bloqueopuertachaperia  = 'NO' or tapizadoschaperia  = 'NO' or luceschaperia  = 'NO' or espejoschaperia  = 'NO' or herramientaschaperia  = 'NO' or cuentaaceitechaperia  = 'NO' or motorfuncionachaperia  = 'NO' or cajafuncionachaperia  = 'NO'  
               or chequinplaya2  = 'SI'  or radiotvplaya2  = 'NO'   or insigniatraseraplaya2  = 'NO'   or insigniadetalanteraplaya2  = 'NO'   or cabecerasplaya2  = 'NO'   or bocinaplaya2  = 'NO'   or aireplaya2  = 'NO'   or bloqueopuertaplaya2  = 'NO'   or tapizadosplaya2  = 'NO'   or lucesplaya2  = 'NO'   or espejosplaya2  = 'NO'    or herramientasplaya2  = 'NO'   or cuentaaceiteplaya2  = 'NO'   or motorfuncionaplaya2  = 'NO'  or cajafuncionaplaya2  = 'NO'  ";

            $inventarios = $noInventarios->find('all', array('conditions' => $conditions,'order' => ["to_date(fecha, 'dd:mm:yyyy') desc"]));
           
           
            $this->set('inventarios', $inventarios );
        }
    }
    /**
     * View method
     *
     * @param string|null $id Inventario id.
     * @return \Cake\Http\Response|void
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function view($id = null)
    {
        $inventario = $this->Inventarios->get($id, [
            'contain' => []
        ]);
        
        
        



        $rechazadoscv  =  TableRegistry::get('inventariorechazados');
        $query = $rechazadoscv->find('all', ['conditions' => ['tipo = 1 and inventario_id = ' .$inventario->id ]]);
        $this->set('rechazadoscv', $query);   

        $rechazadoschaperia  =  TableRegistry::get('inventariorechazados');
        $query2 = $rechazadoschaperia->find('all', ['conditions' => ['tipo = 2 and inventario_id = ' .$inventario->id]]);
       $this->set('rechazadoschaperia', $query2); 


        $this->set('inventario', $inventario);
    }
    
    
    public function verfotos($chasis = null){
        $imagenapps  =  TableRegistry::get('imagenapps');
        
        $imagens = $imagenapps->find()->where(['upper(chasis)' => strtoupper($chasis)]);
    $this->set('imagen', $imagens);
    }

    /**
     * Add method
     *
     * @return \Cake\Http\Response|null Redirects on successful add, renders view otherwise.
     */
    public function add()
    {
        $inventario = $this->Inventarios->newEntity();
        if ($this->request->is('post')) {
            $inventario = $this->Inventarios->patchEntity($inventario, $this->request->getData());

             $hoy = getdate(); 
             $fecha = $hoy['mday']."/".$hoy['mon']."/".$hoy['year'];

             $inventario->fecha = $fecha;
             $inventario->usuario = $this->Auth->User('id');

            $inventario->recibidocv = "";
            $inventario->recibidochaperia= "";
            $inventario->recibidoplaya= "";


            if ($this->Inventarios->save($inventario)) {

                

                $this->Flash->success(__('Inventario creado con exito!'));

                return $this->redirect(['action' => 'index']);
            }
            // $this->Flash->success($inventario);
            $this->Flash->error(__('No se guardo. Favor, intente de nuevo!'));
        }
        $trabajadors = $this->Inventarios->trabajadors->find('list', ['limit' => 200]);
        $this->set(compact('inventario', 'trabajadors'));
        $this->set('_serialize', ['inventario']);
    }

    /**
     * Edit method
     *
     * @param string|null $id Inventario id.
     * @return \Cake\Http\Response|null Redirects on successful edit, renders view otherwise.
     * @throws \Cake\Network\Exception\NotFoundException When record not found.
     */
    public function edit($id = null)
    {
        $inventario = $this->Inventarios->get($id, [
            'contain' => []
        ]);



        if ($this->request->is(['patch', 'post', 'put'])) {
            $inventario = $this->Inventarios->patchEntity($inventario, $this->request->getData());
            if ($this->Inventarios->save($inventario)) {
                $this->Flash->success(__('The inventario has been saved.'));

                return $this->redirect(['action' => 'index']);
            }
            $this->Flash->error(__('The inventario could not be saved. Please, try again.'));
        }
        $this->set(compact('inventario'));
    }

    public function editcv($id = null)
    {
        $inventario = $this->Inventarios->get($id, [
            'contain' => []
        ]);
        if ($this->request->is(['patch', 'post', 'put'])) {
            $inventario = $this->Inventarios->patchEntity($inventario, $this->request->getData());

            $tablerista = $this->Inventarios->trabajadors->get($inventario->tablerista);
            $airista = $this->Inventarios->trabajadors->get($inventario->airista);
            $mecanico = $this->Inventarios->trabajadors->get($inventario->mecanico);

            $TipoTrabajotablerista = TableRegistry::get('tipo_trabajo');
            $preciotablerista = $TipoTrabajotablerista->get($tablerista->tra_ocupacion);

            $TipoTrabajoairista = TableRegistry::get('tipo_trabajo');
            $precioairista = $TipoTrabajoairista->get($airista->tra_ocupacion);

            $TipoTrabajomecanico = TableRegistry::get('tipo_trabajo');
            $preciomecanico = $TipoTrabajomecanico->get($mecanico->tra_ocupacion);


            $inventario->usuariocv = $this->Auth->User('id');
            $inventario->modificarcv = 1;

             $hoy = getdate();
             $fecha = $hoy['mday']."/".$hoy['mon']."/".$hoy['year']; 

            if ($this->Inventarios->save($inventario)) {
                
                $connection = ConnectionManager::get('default');

                $connection->execute('INSERT INTO cambio_volantes(nombre, pago, fecha, chasis, modelo, color, cancelado, adelanto, borrado, fechacarga, usuariocarga, idnombre, estadotrabajo, app) VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [$tablerista->tra_nombre, $preciotablerista->tip_precio, $fecha, $inventario->chasis, $inventario->modelo, $inventario->color,0,0,0,$fecha, $this->Auth->User('empleado'),$inventario->tablerista, 0, 1 ]);

                $connection->execute('INSERT INTO cambio_volantes(nombre, pago, fecha, chasis, modelo, color, cancelado, adelanto, borrado, fechacarga, usuariocarga, idnombre, estadotrabajo, app) VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [$airista->tra_nombre, $precioairista->tip_precio, $fecha, $inventario->chasis, $inventario->modelo, $inventario->color,0,0,0,$fecha, $this->Auth->User('empleado'),$inventario->airista, 0, 1 ]);

                $connection->execute('INSERT INTO cambio_volantes(nombre, pago, fecha, chasis, modelo, color, cancelado, adelanto, borrado, fechacarga, usuariocarga, idnombre, estadotrabajo, app) VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', [$mecanico->tra_nombre, $preciomecanico->tip_precio, $fecha, $inventario->chasis, $inventario->modelo, $inventario->color,0,0,0,$fecha, $this->Auth->User('empleado'),$inventario->mecanico, 0, 1 ]);

                $connection->commit(); 
                
                $connection->disconnect();

                return $this->redirect(['action' => 'index']);
            }
        }
        $trabajadors = $this->Inventarios->trabajadors->find('list', ['limit' => 200]);
        $this->set(compact('inventario', 'trabajadors'));
    }


 public function editchaperia($id = null)
    {
        $inventario = $this->Inventarios->get($id, [
            'contain' => []
        ]);
        if ($this->request->is(['patch', 'post', 'put'])) {
            $inventario = $this->Inventarios->patchEntity($inventario, $this->request->getData());

            $inventario->usuariochaperia = $this->Auth->User('id');
            $inventario->modificarchaperia = 1;


            if ($this->Inventarios->save($inventario)) {
                
                return $this->redirect(['action' => 'index']);
            }
        }
        $this->set(compact('inventario'));
    }


 public function editplaya($id = null)
    {
        $inventario = $this->Inventarios->get($id, [
            'contain' => []
        ]);
        if ($this->request->is(['patch', 'post', 'put'])) {
            $inventario = $this->Inventarios->patchEntity($inventario, $this->request->getData());

            $inventario->usuarioplaya = $this->Auth->User('id');
            $inventario->modificarplaya = 1;


            if ($this->Inventarios->save($inventario)) {
                
                return $this->redirect(['action' => 'index']);
            }
        }
        $this->set(compact('inventario'));
    }

public function editplaya2($id = null)
    {
        $inventario = $this->Inventarios->get($id, [
            'contain' => []
        ]);
        if ($this->request->is(['patch', 'post', 'put'])) {
            $inventario = $this->Inventarios->patchEntity($inventario, $this->request->getData());

            $inventario->usuarioplaya2 = $this->Auth->User('id');
            $inventario->modificarplaya2 = 1;


            if ($this->Inventarios->save($inventario)) {
                
                return $this->redirect(['action' => 'index']);
            }
        }
        $this->set(compact('inventario'));
    }

            

    /**
     * Delete method
     *
     * @param string|null $id Inventario id.
     * @return \Cake\Http\Response|null Redirects to index.
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function delete($id = null)
    {
        $this->request->allowMethod(['post', 'delete']);
        $inventario = $this->Inventarios->get($id);
        if ($this->Inventarios->delete($inventario)) {
            $this->Flash->success(__('The inventario has been deleted.'));
        } else {
            $this->Flash->error(__('The inventario could not be deleted. Please, try again.'));
        }

        return $this->redirect(['action' => 'index']);
    }
}
