<?php

namespace App\Controller;

use App\Controller\AppController;
use Cake\Datasource\ConnectionManager;
use App\Model\Table\ChoferesTable;

/**
 * ListadoCompra2 Controller
 *
 * @property \App\Model\Table\ListadoCompra2Table $ListadoCompras
 *
 * @method \App\Model\Entity\ListadoCompra2[]|\Cake\Datasource\ResultSetInterface paginate($object = null, array $settings = [])
 */
class ListadoCompra2Controller extends AppController
{

    /**
     * Index method
     *
     * @return \Cake\Http\Response|void
     */


    public function index($estadofecha = 0)
    {
        $conditions = array('estadofecha' => $estadofecha);

        if (!empty($this->request->query['search'])) {
            $search = $this->request->query['search'];
            $search = preg_replace('/[^a-zA-ZñÑáéíóúÁÉÍÓÚ0-9 -]/u', '', $search);
            $terms = explode(' ', trim($search));
            $terms = array_diff($terms, array(''));

            foreach ($terms as $term) {
                $term = preg_replace('/[^a-zA-ZñÑáéíóúÁÉÍÓÚ0-9 -]/u', '', $term);
                $conditions[] = array(
                    'AND' => array(
                        array('OR' => array(
                            array('chasis LIKE' => '%' . strtoupper($term) . '%'),
                            array('marca  LIKE' => '%' . strtoupper($term) . '%'),
                            array('modelo LIKE' => '%' . strtoupper($term) . '%'),
                        )),
                        array('estadofecha' => $estadofecha)
                    )
                );
            }
        }

        $listadocompra2 = $this->ListadoCompra2->find('all', array(
            'recursive' => -1,
            'conditions' => $conditions,
            'limit' => 200,
            'order' => ['id' => 'desc']
        ));

        $lugar_actual_opciones = array("Japón", "Iquique", "Hacia Paraguay", "En Paraguay");
        $this->set('lugar_actual', $lugar_actual_opciones[$estadofecha]);
        $this->set('estadofecha', $estadofecha);
        $this->set('listadocompra2', $this->paginate($listadocompra2));
    }

    public function index1()
    {

        $conditions = array('estadofecha' => 1);

        if (!empty($this->request->query['search'])) {
            $search = $this->request->query['search'];
            $search = preg_replace('/[^a-zA-ZñÑáéíóúÁÉÍÓÚ0-9 -]/u', '', $search);
            $terms = explode(' ', trim($search));
            $terms = array_diff($terms, array(''));

            foreach ($terms as $term) {
                $term = preg_replace('/[^a-zA-ZñÑáéíóúÁÉÍÓÚ0-9 -]/u', '', $term);
                $conditions[] = array(
                    'AND' => array(
                        array('OR' => array(
                            array('chasis LIKE' => '%' . strtoupper($term) . '%'),
                            array('marca  LIKE' => '%' . strtoupper($term) . '%'),
                            array('modelo LIKE' => '%' . strtoupper($term) . '%'),
                        )),
                        array('estadofecha' => 1)
                    )
                );
            }
        }

        $listadocompra2 = $this->ListadoCompra2->find('all', array(
            'recursive' => -1,
            'conditions' => $conditions,
            'limit' => 200,
            'order' => ['id' => 'desc']
        ));

        $this->loadModel('Choferes');
        $choferes = $this->Choferes->find('list', [
            'keyField' => 'id',
            'valueField' => 'chofer'
        ])->toArray();

        $this->set('choferes', $choferes);
        $this->set('listadocompra2', $this->paginate($listadocompra2));
        $this->set(compact('listadocompra2'));
        $this->set('_serialize', ['listacompra2']);
    }

    public function index1dt()
    {

        $conditions = array('estadofecha' => 1);

        $listadocompra2 = $this->ListadoCompra2->find('all', array(
            'recursive' => -1,
            'conditions' => $conditions,
            'limit' => 200,
            'order' => ['id' => 'desc']
        ));

        $this->loadModel('Choferes');
        $choferes = $this->Choferes->find('list', [
            'keyField' => 'id',
            'valueField' => 'chofer'
        ])->toArray();

        $this->set('choferes', $choferes);
        //$this->set('listadocompra2', $this->paginate($listadocompra2));
        $this->set(compact('listadocompra2'));
        $this->set('_serialize', ['listacompra2']);
    }

    public function addcambiofecha()
    {
        $this->render(false);
        if ($this->request->is('post')) {
            $itemId = $this->request->getData("id");
            $fecha = $this->request->getData("fecha");
            $estadofecha = $this->request->getData("estadofecha");

            if ($estadofecha == 0) :
                $sql = "UPDATE detalle_compra SET dc_fechaiquique='$fecha', dc_estadofecha=1 WHERE dc_id=$itemId";
            elseif ($estadofecha == 1) :
                $sql = "UPDATE detalle_compra SET dc_fechasalidaapy='$fecha', dc_estadofecha=2 WHERE dc_id=$itemId";
            elseif ($estadofecha == 2) :
                $sql = "UPDATE detalle_compra SET dc_fechallegadapy='$fecha', dc_estadofecha=3 WHERE dc_id=$itemId";
            endif;

            $connection = ConnectionManager::get('default');
            $connection_local = ConnectionManager::get('local');

            $connection->execute($sql);
            $connection->commit();
            $connection->disconnect();

            try {
                $connection_local->execute($sql);
                $connection_local->commit();
                $connection_local->disconnect();
            } catch (\Exception $e) {
                $this->Flash->error(__('Hubo un error al cambiar Fecha (local): {0}', $e->getMessage()));
            }

            // Si la lógica de guardado fue exitosa
            $response = ['success' => true];
            echo json_encode($response);
        } else {
            // Si la solicitud no es una petición AJAX
            $response = ['success' => false];
            echo json_encode($response);
        }
    }

    public function addcambiochofer1()
    {
        if ($this->request->is('post')) {
            $fecha = $this->request->getData("fecha");
            $chofer = $this->request->getData("chofer");

            $checkboxValues = $this->request->getData("checkboxValues");
            $ids = explode(",", $checkboxValues);

            $connection = ConnectionManager::get('default');
            $connection_local = ConnectionManager::get('local');

            foreach ($ids as $id) {
                $sql = "UPDATE detalle_compra SET dc_chofer = '{$chofer}', dc_estadofecha=2, dc_fechasalidaapy = '{$fecha}' WHERE dc_id = {$id} AND dc_estadofecha = 1;";
                $connection->execute($sql);
                $connection->commit();
                $mensaje = "Actualizado: {$id}";

                try {
                    $connection_local->execute($sql);
                    $connection_local->commit();
                } catch (\Exception $e) {
                    $this->Flash->error(__('Hubo un error al asignar Chofer (local): {0}', $e->getMessage()));
                }

                $this->Flash->success($mensaje);
            }

            $connection->disconnect();
            $connection_local->disconnect();

            $response = ['success' => true];
            echo json_encode($response);
        } else {
            // Si la solicitud no es una petición AJAX
            $response = ['success' => false];
            echo json_encode($response);
        }
        $_SESSION["localstorageclear"] = 1;
        return $this->redirect($this->referer());
    }
}
