<?php
namespace App\Controller;

use App\Controller\AppController;

/**
 * Marzoventas Controller
 *
 * @property \App\Model\Table\MarzoventasTable $Marzoventas
 *
 * @method \App\Model\Entity\Marzoventa[]|\Cake\Datasource\ResultSetInterface paginate($object = null, array $settings = [])
 */
class MarzoventasController extends AppController
{

    /**
     * Index method
     *
     * @return \Cake\Http\Response|void
     */
    public function index()
    {
        $marzoventas = $this->paginate($this->Marzoventas);

        $this->set(compact('marzoventas'));
    }

    /**
     * View method
     *
     * @param string|null $id Marzoventa id.
     * @return \Cake\Http\Response|void
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function view($id = null)
    {
        $marzoventa = $this->Marzoventas->get($id, [
            'contain' => []
        ]);

        $this->set('marzoventa', $marzoventa);
    }

    /**
     * Add method
     *
     * @return \Cake\Http\Response|null Redirects on successful add, renders view otherwise.
     */
    public function add()
    {
        $marzoventa = $this->Marzoventas->newEntity();
        if ($this->request->is('post')) {
            $marzoventa = $this->Marzoventas->patchEntity($marzoventa, $this->request->getData());
            if ($this->Marzoventas->save($marzoventa)) {
                $this->Flash->success(__('The marzoventa has been saved.'));

                return $this->redirect(['action' => 'index']);
            }
            $this->Flash->error(__('The marzoventa could not be saved. Please, try again.'));
        }
        $this->set(compact('marzoventa'));
    }

    /**
     * Edit method
     *
     * @param string|null $id Marzoventa id.
     * @return \Cake\Http\Response|null Redirects on successful edit, renders view otherwise.
     * @throws \Cake\Network\Exception\NotFoundException When record not found.
     */
    public function edit($id = null)
    {
        $marzoventa = $this->Marzoventas->get($id, [
            'contain' => []
        ]);
        if ($this->request->is(['patch', 'post', 'put'])) {
            $marzoventa = $this->Marzoventas->patchEntity($marzoventa, $this->request->getData());
            if ($this->Marzoventas->save($marzoventa)) {
                $this->Flash->success(__('The marzoventa has been saved.'));

                return $this->redirect(['action' => 'index']);
            }
            $this->Flash->error(__('The marzoventa could not be saved. Please, try again.'));
        }
        $this->set(compact('marzoventa'));
    }

    /**
     * Delete method
     *
     * @param string|null $id Marzoventa id.
     * @return \Cake\Http\Response|null Redirects to index.
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function delete($id = null)
    {
        $this->request->allowMethod(['post', 'delete']);
        $marzoventa = $this->Marzoventas->get($id);
        if ($this->Marzoventas->delete($marzoventa)) {
            $this->Flash->success(__('The marzoventa has been deleted.'));
        } else {
            $this->Flash->error(__('The marzoventa could not be deleted. Please, try again.'));
        }

        return $this->redirect(['action' => 'index']);
    }
}
