<?php
namespace App\Controller;

use App\Controller\AppController;
use Cake\ORM\TableRegistry ; 
use Cake\Datasource\ConnectionManager;

/**
 * Preciogenerals Controller
 *
 * @property \App\Model\Table\PreciogeneralsTable $Preciogenerals
 *
 * @method \App\Model\Entity\Preciogeneral[]|\Cake\Datasource\ResultSetInterface paginate($object = null, array $settings = [])
 */
class PreciogeneralsController extends AppController
{

    /**
     * Index method
     *
     * @return \Cake\Http\Response|void
     */
    public function index()
    {
        $search = null;
        if(!empty($this->request->query['search'])){
            $search = $this->request->query['search'];
            $condicion = "modelo LIKE '%" . strtoupper($search) . "%'";


            $preciogenerals = $this->Preciogenerals->find('all', array('conditions' => $condicion));

          

            $this->set('preciogenerals', $preciogenerals);

            $this->set('search', $search);

        }else{
            $preciogenerals = $this->paginate($this->Preciogenerals);
            $this->set(compact('preciogenerals')); 
        }       
        
    }

    /**
     * View method
     *
     * @param string|null $id Preciogeneral id.
     * @return \Cake\Http\Response|void
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function view($id = null)
    {
        $preciogeneral = $this->Preciogenerals->get($id, [
            'contain' => []
        ]);

        $this->set('preciogeneral', $preciogeneral);
    }

    /**
     * Add method
     *
     * @return \Cake\Http\Response|null Redirects on successful add, renders view otherwise.
     */
    public function add()
    {
        $preciogeneral = $this->Preciogenerals->newEntity();
        if ($this->request->is('post')) {
            $preciogeneral = $this->Preciogenerals->patchEntity($preciogeneral, $this->request->getData());
            if ($this->Preciogenerals->save($preciogeneral)) {
                $this->Flash->success(__('The preciogeneral has been saved.'));

                return $this->redirect(['action' => 'index']);
            }
            $this->Flash->error(__('The preciogeneral could not be saved. Please, try again.'));
        }
        $this->set(compact('preciogeneral'));
    }

    /**
     * Edit method
     *
     * @param string|null $id Preciogeneral id.
     * @return \Cake\Http\Response|null Redirects on successful edit, renders view otherwise.
     * @throws \Cake\Network\Exception\NotFoundException When record not found.
     */
    public function edit($id = null)
    {
        $preciogeneral = $this->Preciogenerals->get($id, [
            'contain' => []
        ]);
        if ($this->request->is(['patch', 'post', 'put'])) {
            $preciogeneral = $this->Preciogenerals->patchEntity($preciogeneral, $this->request->getData());
            $sql =  "UPDATE vehiculoprecio  SET vpr_contadorecimp=". $preciogeneral->contadorecimp .", vpr_contado3mesesrecimp=". $preciogeneral->contado3mesesrecimp .", vpr_gerente1recimp=". $preciogeneral->gerente1recimp .", vpr_gerente2recimp=". $preciogeneral->gerente2recimp .", vpr_gerente3recimp=". $preciogeneral->gerente3recimp .", vpr_contadousado=". $preciogeneral->contadousado .", vpr_contado3mesesusado=". $preciogeneral->contado3mesesusado .", vpr_gerente1usado=". $preciogeneral->gerente1usado .", vpr_gerente2usado=". $preciogeneral->gerente2usado .", vpr_gerente3usado=". $preciogeneral->gerente3usado .", vpr_18mesesusado =" . $preciogeneral->meses18usado . ", vpr_18mesesrecimp = " . $preciogeneral->meses18recimp . " WHERE vpr_id=". $preciogeneral->id ;
            $connection = ConnectionManager::get('default');
            $connection->execute($sql);
            $connection->commit();
            $connection->disconnect();
      

            return $this->redirect(['action' => 'index']);
            
            $this->Flash->error(__('The preciogeneral could not be saved. Please, try again.'));
        }
        $this->set(compact('preciogeneral'));
    }

    /**
     * Delete method
     *
     * @param string|null $id Preciogeneral id.
     * @return \Cake\Http\Response|null Redirects to index.
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function delete($id = null)
    {
        $this->request->allowMethod(['post', 'delete']);
        $preciogeneral = $this->Preciogenerals->get($id);
        if ($this->Preciogenerals->delete($preciogeneral)) {
            $this->Flash->success(__('The preciogeneral has been deleted.'));
        } else {
            $this->Flash->error(__('The preciogeneral could not be deleted. Please, try again.'));
        }

        return $this->redirect(['action' => 'index']);
    }
}
