<?php
namespace App\Controller;

use App\Controller\AppController;
use Cake\ORM\TableRegistry ; 
use Cake\Datasource\ConnectionManager;

/**
 * PruebaImagens Controller
 *
 * @property \App\Model\Table\PruebaImagensTable $PruebaImagens
 *
 * @method \App\Model\Entity\PruebaImagen[]|\Cake\Datasource\ResultSetInterface paginate($object = null, array $settings = [])
 */
class PruebaImagensController extends AppController
{

    /**
     * Index method
     *
     * @return \Cake\Http\Response|void
     */
    public function index()
    {
        $pruebaImagens = $this->PruebaImagens->find('all', 
            array(
            'fields' => 'referencia', 
            'group' => 'referencia'));

        $this->set(compact('pruebaImagens'));
    }

    /**
     * View method
     *
     * @param string|null $id Prueba Imagen id.
     * @return \Cake\Http\Response|void
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function view($referencia = null)
    {
        $imagens =  $this->PruebaImagens->find();
        $imagens->where(['referencia' => ''. $referencia . '']);
        $this->set('imagen',  $imagens);
    }

    /**
     * Add method
     *
     * @return \Cake\Http\Response|null Redirects on successful add, renders view otherwise.
     */
    public function add()
    {
        $pruebaImagen = $this->PruebaImagens->newEntity();
        if ($this->request->is('post')) {

            $query = TableRegistry::get('prueba_imagens')->find();
            $query->select(['codigo' => $query->func()->max('codigo')]);
            $maximo = 0;
            foreach ($query as $imagenap) {
                $maximo = $imagenap->codigo+1;
            }

            $pruebaImagen = $this->PruebaImagens->patchEntity($pruebaImagen, $this->request->getData());

            $pruebaImagen->imagen = $maximo. '.jpg';
            $pruebaImagen->codigo = $maximo;
            $image_name        = $maximo. '.jpg';
            $image_tmp         = $this->request->data['imagen']['tmp_name'];

            if(!empty($this->request->data['imagen']['tmp_name'])){
                if (!move_uploaded_file($image_tmp , WWW_ROOT . 'img' . DS . 'prueba' . DS . $image_name)){
                    $this->Flash->error('no se movio');
                }else{
                   if ($this->PruebaImagens->save($pruebaImagen)) {
                        $this->Flash->success(__('SE GUARDO!'));

                         return $this->redirect(['action' => 'index']);
                    } 
                }
            }
            
            $this->Flash->error(__('The prueba imagen could not be saved. Please, try again.'));
        }
        $this->set(compact('pruebaImagen'));
    }

     public function agregar($referencia = null)
    {

        $imagens =  $this->PruebaImagens->find();
        $imagens->where(['referencia' => ''. $referencia . '']);
        $this->set('imagen',  $imagens);

        $pruebaImagen = $this->PruebaImagens->newEntity();
        if ($this->request->is('post')) {

            $query = TableRegistry::get('prueba_imagens')->find();
            $query->select(['codigo' => $query->func()->max('codigo')]);
            $maximo = 0;
            foreach ($query as $imagenap) {
                $maximo = $imagenap->codigo+1;
            }

            $pruebaImagen = $this->PruebaImagens->patchEntity($pruebaImagen, $this->request->getData());

             $pruebaImagen->referencia = $referencia;
            $pruebaImagen->imagen = $maximo. '.jpg';
            $pruebaImagen->codigo = $maximo;
            $image_name        = $maximo. '.jpg';
            $image_tmp         = $this->request->data['imagen']['tmp_name'];

            if(!empty($this->request->data['imagen']['tmp_name'])){
                if (!move_uploaded_file($image_tmp , WWW_ROOT . 'img' . DS . 'prueba' . DS . $image_name)){
                    $this->Flash->error('no se movio');
                }else{
                    if ($this->PruebaImagens->save($pruebaImagen)) {
                        $this->Flash->success(__('SE GUARDO!'));

                       return $this->redirect($this->here);
                    }
                }
            }
            
            $this->Flash->error(__('The prueba imagen could not be saved. Please, try again.'));
        }

        

        $this->set(compact('pruebaImagen'));
    }


    /**
     * Edit method
     *
     * @param string|null $id Prueba Imagen id.
     * @return \Cake\Http\Response|null Redirects on successful edit, renders view otherwise.
     * @throws \Cake\Network\Exception\NotFoundException When record not found.
     */
    public function edit($id = null)
    {
        $pruebaImagen = $this->PruebaImagens->get($id, [
            'contain' => []
        ]);
        if ($this->request->is(['patch', 'post', 'put'])) {
            $pruebaImagen = $this->PruebaImagens->patchEntity($pruebaImagen, $this->request->getData());
            if ($this->PruebaImagens->save($pruebaImagen)) {
                $this->Flash->success(__('The prueba imagen has been saved.'));

                return $this->redirect(['action' => 'index']);
            }
            $this->Flash->error(__('The prueba imagen could not be saved. Please, try again.'));
        }
        $this->set(compact('pruebaImagen'));
    }

    /**
     * Delete method
     *
     * @param string|null $id Prueba Imagen id.
     * @return \Cake\Http\Response|null Redirects to index.
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function delete($id = null)
    {
        $this->request->allowMethod(['post', 'delete']);
        $pruebaImagen = $this->PruebaImagens->get($id);
        if ($this->PruebaImagens->delete($pruebaImagen)) {
            $this->Flash->success(__('The prueba imagen has been deleted.'));
        } else {
            $this->Flash->error(__('The prueba imagen could not be deleted. Please, try again.'));
        }

        return $this->redirect(['action' => 'index']);
    }
}
