<?php
namespace App\Controller;

use App\Controller\AppController;

/**
 * Trabajadors Controller
 *
 * @property \App\Model\Table\TrabajadorsTable $Trabajadors
 *
 * @method \App\Model\Entity\Trabajador[]|\Cake\Datasource\ResultSetInterface paginate($object = null, array $settings = [])
 */
class TrabajadorsController extends AppController
{

    /**
     * Index method
     *
     * @return \Cake\Http\Response|void
     */
    public function index()
    {
        $trabajadors = $this->paginate($this->Trabajadors);

        $this->set(compact('trabajadors'));
    }

    /**
     * View method
     *
     * @param string|null $id Trabajador id.
     * @return \Cake\Http\Response|void
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function view($id = null)
    {
        $trabajador = $this->Trabajadors->get($id, [
            'contain' => []
        ]);

        $this->set('trabajador', $trabajador);
    }

    /**
     * Add method
     *
     * @return \Cake\Http\Response|null Redirects on successful add, renders view otherwise.
     */
    public function add()
    {
        $trabajador = $this->Trabajadors->newEntity();
        if ($this->request->is('post')) {
            $trabajador = $this->Trabajadors->patchEntity($trabajador, $this->request->getData());
            if ($this->Trabajadors->save($trabajador)) {
                $this->Flash->success(__('The trabajador has been saved.'));

                return $this->redirect(['action' => 'index']);
            }
            $this->Flash->error(__('The trabajador could not be saved. Please, try again.'));
        }
        $this->set(compact('trabajador'));
    }

    /**
     * Edit method
     *
     * @param string|null $id Trabajador id.
     * @return \Cake\Http\Response|null Redirects on successful edit, renders view otherwise.
     * @throws \Cake\Network\Exception\NotFoundException When record not found.
     */
    public function edit($id = null)
    {
        $trabajador = $this->Trabajadors->get($id, ['contain' => []]);
        if ($this->request->is(['patch', 'post', 'put'])) {
            $trabajador = $this->Trabajadors->patchEntity($trabajador, $this->request->getData());
            if ($this->Trabajadors->save($trabajador)) {
                $this->Flash->success(__('The trabajador has been saved.'));

                return $this->redirect(['action' => 'index']);
            }
            $this->Flash->error(__('The trabajador could not be saved. Please, try again.'));
        }
        $this->set(compact('trabajador'));
    }

    /**
     * Delete method
     *
     * @param string|null $id Trabajador id.
     * @return \Cake\Http\Response|null Redirects to index.
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function delete($id = null)
    {
        $this->request->allowMethod(['post', 'delete']);
        $trabajador = $this->Trabajadors->get($id);
        if ($this->Trabajadors->delete($trabajador)) {
            $this->Flash->success(__('The trabajador has been deleted.'));
        } else {
            $this->Flash->error(__('The trabajador could not be deleted. Please, try again.'));
        }

        return $this->redirect(['action' => 'index']);
    }
}
