<?php
namespace App\Model\Table;

use Cake\ORM\Query;
use Cake\ORM\RulesChecker;
use Cake\ORM\Table;
use Cake\Validation\Validator;

/**
 * Choferes Model
 *
 * @method \App\Model\Entity\Chofere get($primaryKey, $options = [])
 * @method \App\Model\Entity\Chofere newEntity($data = null, array $options = [])
 * @method \App\Model\Entity\Chofere[] newEntities(array $data, array $options = [])
 * @method \App\Model\Entity\Chofere|false save(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\Chofere saveOrFail(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\Chofere patchEntity(\Cake\Datasource\EntityInterface $entity, array $data, array $options = [])
 * @method \App\Model\Entity\Chofere[] patchEntities($entities, array $data, array $options = [])
 * @method \App\Model\Entity\Chofere findOrCreate($search, callable $callback = null, $options = [])
 */
class ChoferesTable extends Table
{
    /**
     * Initialize method
     *
     * @param array $config The configuration for the Table.
     * @return void
     */
    public function initialize(array $config)
    {
        parent::initialize($config);

        $this->setTable('choferes');
        $this->displayField('chofer');
        $this->primaryKey('id');
    }

    /**
     * Default validation rules.
     *
     * @param \Cake\Validation\Validator $validator Validator instance.
     * @return \Cake\Validation\Validator
     */
    public function validationDefault(Validator $validator)
    {
        $validator
            ->integer('id')
            ->allowEmpty('id');

        $validator
            ->scalar('chofer')
            ->allowEmpty('chofer');

        return $validator;
    }
}
