<?php
namespace App\Model\Table;

use Cake\ORM\Query;
use Cake\ORM\RulesChecker;
use Cake\ORM\Table;
use Cake\Validation\Validator;

/**
 * Depositos Model
 *
 * @property \App\Model\Table\UbicasTable|\Cake\ORM\Association\BelongsToMany $Ubicas
 *
 * @method \App\Model\Entity\Deposito get($primaryKey, $options = [])
 * @method \App\Model\Entity\Deposito newEntity($data = null, array $options = [])
 * @method \App\Model\Entity\Deposito[] newEntities(array $data, array $options = [])
 * @method \App\Model\Entity\Deposito|bool save(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\Deposito|bool saveOrFail(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\Deposito patchEntity(\Cake\Datasource\EntityInterface $entity, array $data, array $options = [])
 * @method \App\Model\Entity\Deposito[] patchEntities($entities, array $data, array $options = [])
 * @method \App\Model\Entity\Deposito findOrCreate($search, callable $callback = null, $options = [])
 */
class DepositosTable extends Table
{

    /**
     * Initialize method
     *
     * @param array $config The configuration for the Table.
     * @return void
     */
    public function initialize(array $config)
    {
        parent::initialize($config);

        $this->setTable('depositos');
        $this->setDisplayField('sucursal');
        $this->setPrimaryKey('id');

        $this->belongsToMany('Ubicas', [
            'foreignKey' => 'deposito_id',
            'targetForeignKey' => 'ubica_id',
            'joinTable' => 'depositos_ubicas'
        ]);
    }

    /**
     * Default validation rules.
     *
     * @param \Cake\Validation\Validator $validator Validator instance.
     * @return \Cake\Validation\Validator
     */
    public function validationDefault(Validator $validator)
    {
        $validator
            ->integer('id')
            ->allowEmpty('id', 'create');

        $validator
            ->scalar('sucursal')
            ->maxLength('sucursal', 150)
            ->allowEmpty('sucursal');

        return $validator;
    }
}
