<?php
namespace App\Model\Table;

use Cake\ORM\Query;
use Cake\ORM\RulesChecker;
use Cake\ORM\Table;
use Cake\Validation\Validator;

/**
 * FeriaRecuperados Model
 *
 * @method \App\Model\Entity\FeriaRecuperado get($primaryKey, $options = [])
 * @method \App\Model\Entity\FeriaRecuperado newEntity($data = null, array $options = [])
 * @method \App\Model\Entity\FeriaRecuperado[] newEntities(array $data, array $options = [])
 * @method \App\Model\Entity\FeriaRecuperado|bool save(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\FeriaRecuperado|bool saveOrFail(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\FeriaRecuperado patchEntity(\Cake\Datasource\EntityInterface $entity, array $data, array $options = [])
 * @method \App\Model\Entity\FeriaRecuperado[] patchEntities($entities, array $data, array $options = [])
 * @method \App\Model\Entity\FeriaRecuperado findOrCreate($search, callable $callback = null, $options = [])
 */
class FeriaRecuperadosTable extends Table
{

    /**
     * Initialize method
     *
     * @param array $config The configuration for the Table.
     * @return void
     */
    public function initialize(array $config)
    {
        parent::initialize($config);

        $this->setTable('feria_recuperados');
        $this->setDisplayField('id');
        $this->setPrimaryKey('id');
    }

    /**
     * Default validation rules.
     *
     * @param \Cake\Validation\Validator $validator Validator instance.
     * @return \Cake\Validation\Validator
     */
    public function validationDefault(Validator $validator)
    {
        $validator
            ->integer('id')
            ->allowEmpty('id', 'create');

        $validator
            ->scalar('chassis')
            ->maxLength('chassis', 250)
            ->allowEmpty('chassis');

        $validator
            ->scalar('modelo')
            ->maxLength('modelo', 250)
            ->allowEmpty('modelo');

        $validator
            ->scalar('año')
            ->maxLength('año', 250)
            ->allowEmpty('año');

        $validator
            ->scalar('color')
            ->maxLength('color', 250)
            ->allowEmpty('color');

        $validator
            ->scalar('chapa')
            ->maxLength('chapa', 250)
            ->allowEmpty('chapa');

        $validator
            ->numeric('precio')
            ->allowEmpty('precio');

        $validator
            ->numeric('bono')
            ->allowEmpty('bono');

        return $validator;
    }
}
