<?php
namespace App\Model\Table;

use Cake\ORM\Query;
use Cake\ORM\RulesChecker;
use Cake\ORM\Table;
use Cake\Validation\Validator;

/**
 * Generarcomisions Model
 *
 * @method \App\Model\Entity\Generarcomision get($primaryKey, $options = [])
 * @method \App\Model\Entity\Generarcomision newEntity($data = null, array $options = [])
 * @method \App\Model\Entity\Generarcomision[] newEntities(array $data, array $options = [])
 * @method \App\Model\Entity\Generarcomision|bool save(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\Generarcomision|bool saveOrFail(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\Generarcomision patchEntity(\Cake\Datasource\EntityInterface $entity, array $data, array $options = [])
 * @method \App\Model\Entity\Generarcomision[] patchEntities($entities, array $data, array $options = [])
 * @method \App\Model\Entity\Generarcomision findOrCreate($search, callable $callback = null, $options = [])
 */
class GenerarcomisionsTable extends Table
{

    /**
     * Initialize method
     *
     * @param array $config The configuration for the Table.
     * @return void
     */
    public function initialize(array $config)
    {
        parent::initialize($config);
        $this->setDisplayField('id');
        $this->setPrimaryKey('id');
        $this->setTable('generarcomisions');
    }

    /**
     * Default validation rules.
     *
     * @param \Cake\Validation\Validator $validator Validator instance.
     * @return \Cake\Validation\Validator
     */
    public function validationDefault(Validator $validator)
    {
        $validator
            ->integer('id')
            ->allowEmpty('id');

        $validator
            ->numeric('suma')
            ->allowEmpty('suma');

        $validator
            ->numeric('cantidad')
            ->allowEmpty('cantidad');

        $validator
            ->scalar('fechaultimaentrega')
            ->maxLength('fechaultimaentrega', 25)
            ->allowEmpty('fechaultimaentrega');

        $validator
            ->scalar('estado')
            ->allowEmpty('estado');

        return $validator;
    }
}
