<?php
namespace App\Model\Table;

use Cake\ORM\Query;
use Cake\ORM\RulesChecker;
use Cake\ORM\Table;
use Cake\Validation\Validator;

/**
 * Inventariorechazados Model
 *
 * @property \App\Model\Table\InventariosTable|\Cake\ORM\Association\BelongsTo $Inventarios
 *
 * @method \App\Model\Entity\Inventariorechazado get($primaryKey, $options = [])
 * @method \App\Model\Entity\Inventariorechazado newEntity($data = null, array $options = [])
 * @method \App\Model\Entity\Inventariorechazado[] newEntities(array $data, array $options = [])
 * @method \App\Model\Entity\Inventariorechazado|bool save(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\Inventariorechazado|bool saveOrFail(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\Inventariorechazado patchEntity(\Cake\Datasource\EntityInterface $entity, array $data, array $options = [])
 * @method \App\Model\Entity\Inventariorechazado[] patchEntities($entities, array $data, array $options = [])
 * @method \App\Model\Entity\Inventariorechazado findOrCreate($search, callable $callback = null, $options = [])
 */
class InventariorechazadosTable extends Table
{

    /** 
     * Initialize method
     *
     * @param array $config The configuration for the Table.
     * @return void
     */
    public function initialize(array $config)
    {
        parent::initialize($config);

        $this->setTable('inventariorechazados');
        $this->setDisplayField('id');
        $this->setPrimaryKey('id');

        $this->belongsTo('Inventarios', [
            'foreignKey' => 'inventario_id'
        ]);
    }

    /**
     * Default validation rules.
     *
     * @param \Cake\Validation\Validator $validator Validator instance.
     * @return \Cake\Validation\Validator
     */
    public function validationDefault(Validator $validator)
    {
        $validator
            ->integer('id')
            ->notEmpty('id', 'create');

        $validator
            ->scalar('chasis')
            ->maxLength('chasis', 250)
            ->requirePresence('chasis', 'create')
            ->notEmpty('chasis');

        $validator
            ->integer('cuentaaceite')
            ->notEmpty('cuentaaceite', 'Seleccione una opción');

        $validator
            ->integer('motorfunciona')
            ->notEmpty('motorfunciona', 'Seleccione una opción');

        $validator
            ->integer('cajafunciona')
            ->notEmpty('cajafunciona', 'Seleccione una opción');

        $validator
            ->integer('chequin')
            ->notEmpty('chequin', 'Seleccione una opción');

        $validator
            ->integer('radiotv')
            ->notEmpty('radiotv', 'Seleccione una opción');

        $validator
            ->integer('insigniatrasera')
            ->notEmpty('insigniatrasera', 'Seleccione una opción');

        $validator
            ->integer('insigniadetalantera')
            ->notEmpty('insigniadetalantera', 'Seleccione una opción');

        $validator
            ->integer('cabeceras')
            ->notEmpty('cabeceras', 'Seleccione una opción');

        $validator
            ->integer('bocina')
            ->notEmpty('bocina', 'Seleccione una opción');

        $validator
            ->integer('aire')
            ->notEmpty('aire', 'Seleccione una opción');

        $validator
            ->integer('bloqueopuerta')
            ->notEmpty('bloqueopuerta', 'Seleccione una opción');

        $validator
            ->integer('tapizados')
            ->notEmpty('tapizados', 'Seleccione una opción');

        $validator
            ->integer('luces')
            ->notEmpty('luces', 'Seleccione una opción');

        $validator
            ->integer('espejos')
            ->notEmpty('espejos', 'Seleccione una opción');

        $validator
            ->integer('herramientas')
            ->notEmpty('herramientas', 'Seleccione una opción');

        $validator
            ->scalar('recibido')
            ->maxLength('recibido', 250)
            ->notEmpty('recibido', 'Rellene este campo');

        $validator
            ->scalar('observacion')
            ->maxLength('observacion', 1000)
            ->allowEmpty('observacion');

        $validator
            ->scalar('fecha')
            ->maxLength('fecha', 250)
            ->notEmpty('fecha', 'Seleccione una opción');

        $validator
            ->integer('usuario')
            ->notEmpty('usuario', 'Seleccione una opción');

        return $validator;
    }

    /**
     * Returns a rules checker object that will be used for validating
     * application integrity.
     *
     * @param \Cake\ORM\RulesChecker $rules The rules object to be modified.
     * @return \Cake\ORM\RulesChecker
     */
    public function buildRules(RulesChecker $rules)
    {
        $rules->add($rules->existsIn(['inventario_id'], 'Inventarios'));

        return $rules;
    }
}
