<?php
namespace App\Model\Table;

use Cake\ORM\Query;
use Cake\ORM\RulesChecker;
use Cake\ORM\Table;
use Cake\Validation\Validator;

/**
 * Lavaderos Model
 *
 * @method \App\Model\Entity\Lavadero get($primaryKey, $options = [])
 * @method \App\Model\Entity\Lavadero newEntity($data = null, array $options = [])
 * @method \App\Model\Entity\Lavadero[] newEntities(array $data, array $options = [])
 * @method \App\Model\Entity\Lavadero|bool save(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\Lavadero|bool saveOrFail(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\Lavadero patchEntity(\Cake\Datasource\EntityInterface $entity, array $data, array $options = [])
 * @method \App\Model\Entity\Lavadero[] patchEntities($entities, array $data, array $options = [])
 * @method \App\Model\Entity\Lavadero findOrCreate($search, callable $callback = null, $options = [])
 */
class LavaderosTable extends Table
{

    /**
     * Initialize method
     *
     * @param array $config The configuration for the Table.
     * @return void
     */
    public function initialize(array $config)
    {
        parent::initialize($config);

        $this->setTable('lavaderos');
        $this->setDisplayField('id');
        $this->setPrimaryKey('id');
    }

    /**
     * Default validation rules.
     *
     * @param \Cake\Validation\Validator $validator Validator instance.
     * @return \Cake\Validation\Validator
     */
    public function validationDefault(Validator $validator)
    {
        $validator
            ->integer('id')
            ->allowEmpty('id', 'create');

        $validator
            ->scalar('fecha')
            ->maxLength('fecha', 250)
            ->allowEmpty('fecha');

        $validator
            ->integer('empleado')
            ->allowEmpty('empleado');

        $validator
            ->integer('usuarioapp')
            ->allowEmpty('usuarioapp');

        $validator
            ->scalar('chasis')
            ->maxLength('chasis', 250)
            ->allowEmpty('chasis');

        $validator
            ->numeric('monto')
            ->allowEmpty('monto');

        $validator
            ->integer('estado')
            ->allowEmpty('estado');

        return $validator;
    }
}
