<?php
namespace App\Model\Table;

use Cake\ORM\Query;
use Cake\ORM\RulesChecker;
use Cake\ORM\Table;
use Cake\Validation\Validator;

/**
 * ModelsAnos Model
 *
 * @property \App\Model\Table\ModelsTable|\Cake\ORM\Association\BelongsTo $Models
 * @property \App\Model\Table\AnosTable|\Cake\ORM\Association\BelongsTo $Anos
 *
 * @method \App\Model\Entity\ModelsAno get($primaryKey, $options = [])
 * @method \App\Model\Entity\ModelsAno newEntity($data = null, array $options = [])
 * @method \App\Model\Entity\ModelsAno[] newEntities(array $data, array $options = [])
 * @method \App\Model\Entity\ModelsAno|bool save(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\ModelsAno|bool saveOrFail(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\ModelsAno patchEntity(\Cake\Datasource\EntityInterface $entity, array $data, array $options = [])
 * @method \App\Model\Entity\ModelsAno[] patchEntities($entities, array $data, array $options = [])
 * @method \App\Model\Entity\ModelsAno findOrCreate($search, callable $callback = null, $options = [])
 */
class ModelsAnosTable extends Table
{

    /**
     * Initialize method
     *
     * @param array $config The configuration for the Table.
     * @return void
     */
    public function initialize(array $config)
    {
        parent::initialize($config);

        $this->setTable('models_anos');
        $this->setDisplayField('id');
        $this->setPrimaryKey('id');

        $this->belongsTo('Models', [
            'foreignKey' => 'model_id'
        ]);
        $this->belongsTo('Anos', [
            'foreignKey' => 'ano_id'
        ]);
    }

    /**
     * Default validation rules.
     *
     * @param \Cake\Validation\Validator $validator Validator instance.
     * @return \Cake\Validation\Validator
     */
    public function validationDefault(Validator $validator)
    {
        $validator
            ->integer('id')
            ->allowEmpty('id', 'create');

        $validator
            ->numeric('precio')
            ->allowEmpty('precio');

        return $validator;
    }

    /**
     * Returns a rules checker object that will be used for validating
     * application integrity.
     *
     * @param \Cake\ORM\RulesChecker $rules The rules object to be modified.
     * @return \Cake\ORM\RulesChecker
     */
    public function buildRules(RulesChecker $rules)
    {
        $rules->add($rules->existsIn(['model_id'], 'Models'));
        $rules->add($rules->existsIn(['ano_id'], 'Anos'));

        return $rules;
    }
}
