<?php
namespace App\Model\Table;

use Cake\ORM\Query;
use Cake\ORM\RulesChecker;
use Cake\ORM\Table;
use Cake\Validation\Validator;

/**
 * Trabajadors Model
 *
 * @method \App\Model\Entity\Trabajador get($primaryKey, $options = [])
 * @method \App\Model\Entity\Trabajador newEntity($data = null, array $options = [])
 * @method \App\Model\Entity\Trabajador[] newEntities(array $data, array $options = [])
 * @method \App\Model\Entity\Trabajador|bool save(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\Trabajador|bool saveOrFail(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\Trabajador patchEntity(\Cake\Datasource\EntityInterface $entity, array $data, array $options = [])
 * @method \App\Model\Entity\Trabajador[] patchEntities($entities, array $data, array $options = [])
 * @method \App\Model\Entity\Trabajador findOrCreate($search, callable $callback = null, $options = [])
 */
class TrabajadorsTable extends Table
{

    /**
     * Initialize method
     *
     * @param array $config The configuration for the Table.
     * @return void
     */
    public function initialize(array $config)
    {
        parent::initialize($config);

        $this->setTable('trabajadors');
        $this->setDisplayField('tra_detalle');
        $this->setPrimaryKey('tra_id');
    }

    /**
     * Default validation rules.
     *
     * @param \Cake\Validation\Validator $validator Validator instance.
     * @return \Cake\Validation\Validator
     */
    public function validationDefault(Validator $validator)
    {
        $validator
            ->integer('tra_id')
            ->allowEmpty('tra_id', 'create');

        $validator
            ->scalar('tra_nombre')
            ->maxLength('tra_nombre', 250)
            ->allowEmpty('tra_nombre');

        $validator
            ->scalar('tra_observacion')
            ->maxLength('tra_observacion', 250)
            ->allowEmpty('tra_observacion');

        $validator
            ->integer('tra_moneda')
            ->allowEmpty('tra_moneda');

        $validator
            ->numeric('tra_monto')
            ->allowEmpty('tra_monto');

        $validator
            ->integer('tra_borrado')
            ->allowEmpty('tra_borrado');

        $validator
            ->integer('tra_ocupacion')
            ->allowEmpty('tra_ocupacion');

        return $validator;
    }
}
