<?php
namespace App\Model\Table;

use Cake\ORM\Query;
use Cake\ORM\RulesChecker;
use Cake\ORM\Table;
use Cake\Validation\Validator;

/**
 * Ubicas Model
 *
 * @property \App\Model\Table\DepositosTable|\Cake\ORM\Association\BelongsToMany $Depositos
 *
 * @method \App\Model\Entity\Ubica get($primaryKey, $options = [])
 * @method \App\Model\Entity\Ubica newEntity($data = null, array $options = [])
 * @method \App\Model\Entity\Ubica[] newEntities(array $data, array $options = [])
 * @method \App\Model\Entity\Ubica|bool save(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\Ubica|bool saveOrFail(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\Ubica patchEntity(\Cake\Datasource\EntityInterface $entity, array $data, array $options = [])
 * @method \App\Model\Entity\Ubica[] patchEntities($entities, array $data, array $options = [])
 * @method \App\Model\Entity\Ubica findOrCreate($search, callable $callback = null, $options = [])
 */
class UbicasTable extends Table
{

    /**
     * Initialize method
     *
     * @param array $config The configuration for the Table.
     * @return void
     */
    public function initialize(array $config)
    {
        parent::initialize($config);

        $this->setTable('ubicas');
        $this->setDisplayField('ubicacion');
        $this->setPrimaryKey('id');

        $this->belongsToMany('Depositos', [
            'foreignKey' => 'ubica_id',
            'targetForeignKey' => 'deposito_id',
            'joinTable' => 'depositos_ubicas'
        ]);
    }

    /**
     * Default validation rules.
     *
     * @param \Cake\Validation\Validator $validator Validator instance.
     * @return \Cake\Validation\Validator
     */
    public function validationDefault(Validator $validator)
    {
        $validator
            ->integer('id')
            ->allowEmpty('id', 'create');

        $validator
            ->scalar('ubicacion')
            ->maxLength('ubicacion', 30)
            ->allowEmpty('ubicacion');

        return $validator;
    }
}
