<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\CambioVolante[]|\Cake\Collection\CollectionInterface $cambioVolantes
 */
?>
<nav class="large-3 medium-4 columns" id="actions-sidebar">
    <ul class="side-nav">
        <li class="heading"><?= __('Actions') ?></li>
        <li><?= $this->Html->link(__('New Cambio Volante'), ['action' => 'add']) ?></li>
    </ul>
</nav>
<div class="cambioVolantes index large-9 medium-8 columns content">
    <h3><?= __('Cambio Volantes') ?></h3>
    <table cellpadding="0" cellspacing="0">
        <thead>
            <tr>
                <th scope="col"><?= $this->Paginator->sort('id') ?></th>
                <th scope="col"><?= $this->Paginator->sort('nombre') ?></th>
                <th scope="col"><?= $this->Paginator->sort('pago') ?></th>
                <th scope="col"><?= $this->Paginator->sort('fecha') ?></th>
                <th scope="col"><?= $this->Paginator->sort('chasis') ?></th>
                <th scope="col"><?= $this->Paginator->sort('modelo') ?></th>
                <th scope="col"><?= $this->Paginator->sort('color') ?></th>
                <th scope="col"><?= $this->Paginator->sort('cancelado') ?></th>
                <th scope="col"><?= $this->Paginator->sort('adelanto') ?></th>
                <th scope="col"><?= $this->Paginator->sort('borrado') ?></th>
                <th scope="col"><?= $this->Paginator->sort('fechacarga') ?></th>
                <th scope="col"><?= $this->Paginator->sort('usuariocarga') ?></th>
                <th scope="col"><?= $this->Paginator->sort('fechamodificado') ?></th>
                <th scope="col"><?= $this->Paginator->sort('usuarioelimina') ?></th>
                <th scope="col" class="actions"><?= __('Actions') ?></th>
            </tr>
        </thead>
        <tbody>
            <?php foreach ($cambioVolantes as $cambioVolante): ?>
            <tr>
                <td><?= $this->Number->format($cambioVolante->id) ?></td>
                <td><?= h($cambioVolante->nombre) ?></td>
                <td><?= $this->Number->format($cambioVolante->pago) ?></td>
                <td><?= h($cambioVolante->fecha) ?></td>
                <td><?= h($cambioVolante->chasis) ?></td>
                <td><?= h($cambioVolante->modelo) ?></td>
                <td><?= h($cambioVolante->color) ?></td>
                <td><?= $this->Number->format($cambioVolante->cancelado) ?></td>
                <td><?= $this->Number->format($cambioVolante->adelanto) ?></td>
                <td><?= $this->Number->format($cambioVolante->borrado) ?></td>
                <td><?= h($cambioVolante->fechacarga) ?></td>
                <td><?= $this->Number->format($cambioVolante->usuariocarga) ?></td>
                <td><?= h($cambioVolante->fechamodificado) ?></td>
                <td><?= $this->Number->format($cambioVolante->usuarioelimina) ?></td>
                <td class="actions">
                    <?= $this->Html->link(__('View'), ['action' => 'view', $cambioVolante->id]) ?>
                    <?= $this->Html->link(__('Edit'), ['action' => 'edit', $cambioVolante->id]) ?>
                    <?= $this->Form->postLink(__('Delete'), ['action' => 'delete', $cambioVolante->id], ['confirm' => __('Are you sure you want to delete # {0}?', $cambioVolante->id)]) ?>
                </td>
            </tr>
            <?php endforeach; ?>
        </tbody>
    </table>
    <div class="paginator">
        <ul class="pagination">
            <?= $this->Paginator->first('<< ' . __('first')) ?>
            <?= $this->Paginator->prev('< ' . __('previous')) ?>
            <?= $this->Paginator->numbers() ?>
            <?= $this->Paginator->next(__('next') . ' >') ?>
            <?= $this->Paginator->last(__('last') . ' >>') ?>
        </ul>
        <p><?= $this->Paginator->counter(['format' => __('Page {{page}} of {{pages}}, showing {{current}} record(s) out of {{count}} total')]) ?></p>
    </div>
</div>
