<?php
/**
 * @var \App\View\AppView $this
 * @var iterable<\App\Model\Entity\Completador> $completadors
 */
?>


<div class="row">
    <div class="col-md-12">
    	<div class="page-header">
    		<h2>Lista de completadores</h2>
    	</div>
    	 <div class="btn-group">
            <?= $this->Html->link('Agregar', ['action' => 'add'], ['class' => 'btn btn-sm btn-success']) ?>
        </div>
    	<div class="table-responsive">
    		<table class="table table-striped table-hover">
    		<thead>
    		<tr>
                <th><?= $this->Paginator->sort('id') ?></th>
                <th><?= $this->Paginator->sort('nombre', ['Nombre']) ?></th>
                <th>Acciones</th>
    		</tr>
    		</thead>
    		<tbody>
    		<?php foreach ($completadors as $completador): ?>
    		<tr>
                <td><?= $this->Number->format($completador->id) ?></td>
                <td><?= h($completador->nombre) ?></td>
                <td>
                    <?= $this->Html->link('Editar', ['action' => 'edit', $completador->id], ['class' => 'btn btn-sm btn-primary']) ?>
                </td>
    		</tr>
    	<?php endforeach; ?>
    		</tbody>
    		</table>
    	</div>

        <div class="paginator">
            <ul class="pagination">
                <?= $this->Paginator->prev('< Anterior') ?>
                <?= $this->Paginator->numbers(['before' => '', 'after' => '']) ?>
                <?= $this->Paginator->next('Siguiente >') ?>
            </ul>
            <p><?= $this->Paginator->counter() ?></p>
        </div>
    </div>
</div>
