<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\Deposito[]|\Cake\Collection\CollectionInterface $depositos
 */
?>
<nav class="large-3 medium-4 columns" id="actions-sidebar">
    <ul class="side-nav">
        <li class="heading"><?= __('Actions') ?></li>
        <li><?= $this->Html->link(__('New Deposito'), ['action' => 'add']) ?></li>
        <li><?= $this->Html->link(__('List Ubicas'), ['controller' => 'Ubicas', 'action' => 'index']) ?></li>
        <li><?= $this->Html->link(__('New Ubica'), ['controller' => 'Ubicas', 'action' => 'add']) ?></li>
    </ul>
</nav>
<div class="depositos index large-9 medium-8 columns content">
    <h3><?= __('Depositos') ?></h3>
    <table cellpadding="0" cellspacing="0">
        <thead>
            <tr>
                <th scope="col"><?= $this->Paginator->sort('id') ?></th>
                <th scope="col"><?= $this->Paginator->sort('sucursal') ?></th>
                <th scope="col" class="actions"><?= __('Actions') ?></th>
            </tr>
        </thead>
        <tbody>
            <?php foreach ($depositos as $deposito): ?>
            <tr>
                <td><?= $this->Number->format($deposito->id) ?></td>
                <td><?= h($deposito->sucursal) ?></td>
                <td class="actions">
                    <?= $this->Html->link(__('View'), ['action' => 'view', $deposito->id]) ?>
                    <?= $this->Html->link(__('Edit'), ['action' => 'edit', $deposito->id]) ?>
                    <?= $this->Form->postLink(__('Delete'), ['action' => 'delete', $deposito->id], ['confirm' => __('Are you sure you want to delete # {0}?', $deposito->id)]) ?>
                </td>
            </tr>
            <?php endforeach; ?>
        </tbody>
    </table>
    <div class="paginator">
        <ul class="pagination">
            <?= $this->Paginator->first('<< ' . __('first')) ?>
            <?= $this->Paginator->prev('< ' . __('previous')) ?>
            <?= $this->Paginator->numbers() ?>
            <?= $this->Paginator->next(__('next') . ' >') ?>
            <?= $this->Paginator->last(__('last') . ' >>') ?>
        </ul>
        <p><?= $this->Paginator->counter(['format' => __('Page {{page}} of {{pages}}, showing {{current}} record(s) out of {{count}} total')]) ?></p>
    </div>
</div>
