<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\Inventariorechazado[]|\Cake\Collection\CollectionInterface $inventariorechazados
 */
?>
<nav class="large-3 medium-4 columns" id="actions-sidebar">
    <ul class="side-nav">
        <li class="heading"><?= __('Actions') ?></li>
        <li><?= $this->Html->link(__('New Inventariorechazado'), ['action' => 'add']) ?></li>
        <li><?= $this->Html->link(__('List Inventarios'), ['controller' => 'Inventarios', 'action' => 'index']) ?></li>
        <li><?= $this->Html->link(__('New Inventario'), ['controller' => 'Inventarios', 'action' => 'add']) ?></li>
    </ul>
</nav>
<div class="inventariorechazados index large-9 medium-8 columns content">
    <h3><?= __('Inventariorechazados') ?></h3>
    <table cellpadding="0" cellspacing="0">
        <thead>
            <tr>
                <th scope="col"><?= $this->Paginator->sort('id') ?></th>
                <th scope="col"><?= $this->Paginator->sort('inventario_id') ?></th>
                <th scope="col"><?= $this->Paginator->sort('chasis') ?></th>
                <th scope="col"><?= $this->Paginator->sort('cuentaaceite') ?></th>
                <th scope="col"><?= $this->Paginator->sort('motorfunciona') ?></th>
                <th scope="col"><?= $this->Paginator->sort('cajafunciona') ?></th>
                <th scope="col"><?= $this->Paginator->sort('chequin') ?></th>
                <th scope="col"><?= $this->Paginator->sort('radiotv') ?></th>
                <th scope="col"><?= $this->Paginator->sort('insigniatrasera') ?></th>
                <th scope="col"><?= $this->Paginator->sort('insigniadetalantera') ?></th>
                <th scope="col"><?= $this->Paginator->sort('cabeceras') ?></th>
                <th scope="col"><?= $this->Paginator->sort('bocina') ?></th>
                <th scope="col"><?= $this->Paginator->sort('aire') ?></th>
                <th scope="col"><?= $this->Paginator->sort('bloqueopuerta') ?></th>
                <th scope="col"><?= $this->Paginator->sort('tapizados') ?></th>
                <th scope="col"><?= $this->Paginator->sort('luces') ?></th>
                <th scope="col"><?= $this->Paginator->sort('espejos') ?></th>
                <th scope="col"><?= $this->Paginator->sort('herramientas') ?></th>
                <th scope="col"><?= $this->Paginator->sort('recibido') ?></th>
                <th scope="col"><?= $this->Paginator->sort('observacion') ?></th>
                <th scope="col"><?= $this->Paginator->sort('fecha') ?></th>
                <th scope="col"><?= $this->Paginator->sort('usuario') ?></th>
                <th scope="col" class="actions"><?= __('Actions') ?></th>
            </tr>
        </thead>
        <tbody>
            <?php foreach ($inventariorechazados as $inventariorechazado): ?>
            <tr>
                <td><?= $this->Number->format($inventariorechazado->id) ?></td>
                <td><?= $inventariorechazado->has('inventario') ? $this->Html->link($inventariorechazado->inventario->id, ['controller' => 'Inventarios', 'action' => 'view', $inventariorechazado->inventario->id]) : '' ?></td>
                <td><?= h($inventariorechazado->chasis) ?></td>
                <td><?= $this->Number->format($inventariorechazado->cuentaaceite) ?></td>
                <td><?= $this->Number->format($inventariorechazado->motorfunciona) ?></td>
                <td><?= $this->Number->format($inventariorechazado->cajafunciona) ?></td>
                <td><?= $this->Number->format($inventariorechazado->chequin) ?></td>
                <td><?= $this->Number->format($inventariorechazado->radiotv) ?></td>
                <td><?= $this->Number->format($inventariorechazado->insigniatrasera) ?></td>
                <td><?= $this->Number->format($inventariorechazado->insigniadetalantera) ?></td>
                <td><?= $this->Number->format($inventariorechazado->cabeceras) ?></td>
                <td><?= $this->Number->format($inventariorechazado->bocina) ?></td>
                <td><?= $this->Number->format($inventariorechazado->aire) ?></td>
                <td><?= $this->Number->format($inventariorechazado->bloqueopuerta) ?></td>
                <td><?= $this->Number->format($inventariorechazado->tapizados) ?></td>
                <td><?= $this->Number->format($inventariorechazado->luces) ?></td>
                <td><?= $this->Number->format($inventariorechazado->espejos) ?></td>
                <td><?= $this->Number->format($inventariorechazado->herramientas) ?></td>
                <td><?= h($inventariorechazado->recibido) ?></td>
                <td><?= h($inventariorechazado->observacion) ?></td>
                <td><?= h($inventariorechazado->fecha) ?></td>
                <td><?= $this->Number->format($inventariorechazado->usuario) ?></td>
                <td class="actions">
                    <?= $this->Html->link(__('View'), ['action' => 'view', $inventariorechazado->id]) ?>
                    <?= $this->Html->link(__('Edit'), ['action' => 'edit', $inventariorechazado->id]) ?>
                    <?= $this->Form->postLink(__('Delete'), ['action' => 'delete', $inventariorechazado->id], ['confirm' => __('Are you sure you want to delete # {0}?', $inventariorechazado->id)]) ?>
                </td>
            </tr>
            <?php endforeach; ?>
        </tbody>
    </table>
    <div class="paginator">
        <ul class="pagination">
            <?= $this->Paginator->first('<< ' . __('first')) ?>
            <?= $this->Paginator->prev('< ' . __('previous')) ?>
            <?= $this->Paginator->numbers() ?>
            <?= $this->Paginator->next(__('next') . ' >') ?>
            <?= $this->Paginator->last(__('last') . ' >>') ?>
        </ul>
        <p><?= $this->Paginator->counter(['format' => __('Page {{page}} of {{pages}}, showing {{current}} record(s) out of {{count}} total')]) ?></p>
    </div>
</div>
