<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\Inventario[]|\Cake\Collection\CollectionInterface $inventarios
 */
?>

<?= $this->Html->css('bootstrap.min.css') ?>

<div class="row">
    <div class="col-md-12">
        <div class="page-header">
            <h4 align="center">LISTADO DE INVENTARIOS</h4>
            
             <?php echo $this->Form->create('Inventarios', array('type' => 'GET', 'class' => 'navbar-form navbar-left', 'url' => array('controller' => 'Inventarios', 'action' => 'index'))); ?>
         
              <?php echo $this->Form->input('search', array('label' => false, 'div' => false, 'id' => 's', 'class' => 'form-control s', 'autocomplete' => 'off', 'placeholder' => 'Chassis...')); ?>
              
          
          <?php echo $this->Form->button('Buscar', array('div' => false, 'class' => 'btn btn-primary')); ?>  <?php echo $this->Form->end(); ?>

          
          <?= $this->Html->link(' - AGREGAR INVENTARIO - ', ['action' => 'add'], ['class' => 'btn btn-success']) ?>
          
         </div>
         
        <div class="table-responsive">
             <table class="table  table-sm">
            <thead>
            <tr>
                <th><?= $this->Paginator->sort('imagen', ['Imagen']) ?></th>
                <th><?= $this->Paginator->sort('fecha', ['Fecha']) ?></th>
                <th><?= $this->Paginator->sort('modelo', ['Modelo']) ?></th>
                <th><?= $this->Paginator->sort('marca', ['Marca']) ?></th>
                <th><?= $this->Paginator->sort('color', ['Color']) ?></th>
                <th><?= $this->Paginator->sort('chasis', ['Chasis']) ?></th>
                <th><?= $this->Paginator->sort('id', ['Acciones']) ?></th>
            </tr>
            </thead>
            <tbody>
             <?php foreach ($inventarios as $inventario): ?>
            <tr>
               
                    <?php
                    if (!empty($inventario->imagen)) {
                        echo '<td>' . $this->Html->image('/img/chasis/'.$inventario->imagen, array('width' => 80, 'height' => 60)) . '</td>';
                    } else {
                        echo "<td width='80' height='60'></td>";
                    }
                    ?>
               

                <td><?= h($inventario->fecha) ?></td>
                <td><?= h(strtoupper($inventario->modelo)) ?></td>
                <td><?= h(strtoupper($inventario->marca)) ?></td>
                <td><?= h(strtoupper($inventario->color)) ?></td>
                <td><?= h(strtoupper($inventario->chasis)) ?></td>


                <td>
                    <?= $this->Html->link('VER', ['action' => 'view', $inventario->id], ['class' => 'btn btn-sm btn-info']) ?>
                    <?php   if($inventario->modificarcv == 0){
                                echo $this->Html->link('INVENTARIO CV', ['action' => 'editcv', $inventario->id], ['class' => 'btn btn-sm btn-success']);
                            } else {
                                if($inventario->estadocv == 2){
                                 if($current_user['id']==1 or 
                                    $current_user['id']==3 or 
                                    $current_user['id']==101 or 
                                    $current_user['id']==61 or 
                                    $current_user['id']==31 or 
                                    $current_user['id']==127 or 
                                    $current_user['id']==8 or 
                                    $current_user['id']==128 or 
                                    $current_user['id']==145 or 
                                    $current_user['id']==181 or 
                                    $current_user['id']==210 or 
                                    $current_user['id']==211 or 
                                    $current_user['id']==307 or 
                                    $current_user['id']==130 or 
                                    $current_user['id']==42){
                                     echo $this->Html->link('RECEP. TECNICO DE CV', ['controller' => 'inventariorechazados', 'action' => 'add', $inventario->id, 1], ['class' => 'btn btn-sm btn-warning']);
                                 }
                                }else{
                                    if($inventario->modificarplaya == 0){
                                        if($current_user['id']==1 or 
                                        $current_user['id']==3 or 
                                        $current_user['id']==101 or 
                                        $current_user['id']==61 or 
                                        $current_user['id']==31 or 
                                        $current_user['id']==127 or 
                                        $current_user['id']==8 or 
                                        $current_user['id']==128 or 
                                        $current_user['id']==145 or 
                                        $current_user['id']==181 or 
                                        $current_user['id']==210 or 
                                        $current_user['id']==211  or 
                                        $current_user['id']==307 or 
                                        $current_user['id']==130 or
                                        $current_user['id']==42){
                                                echo $this->Html->link('RECEP. TECNICO DE CV', ['action' => 'editplaya', $inventario->id], ['class' => 'btn btn-sm btn-warning']);
                                         }
                                     } else {
                                        if($inventario->modificarchaperia == 0){
                                            echo $this->Html->link('INVEN. CHAPERIA', ['action' => 'editchaperia', $inventario->id], ['class' => 'btn btn-sm btn-primary']);
                                        } else {
                                            if($inventario->modificarplaya2 == 0){
                                                if($current_user['id']==1 or 
                                                $current_user['id']==3 or 
                                                $current_user['id']==101 or 
                                                $current_user['id']==61 or 
                                                $current_user['id']==31 or 
                                                $current_user['id']==127 or 
                                                $current_user['id']==8 or 
                                                $current_user['id']==128 or 
                                                $current_user['id']==145 or 
                                                $current_user['id']==181 or 
                                                $current_user['id']==210 or 
                                                $current_user['id']==211  or 
                                                $current_user['id']==307 or 
                                                $current_user['id']==130 or
                                                $current_user['id']==42){

                                                     echo $this->Html->link('RECEP. PLAYA DE CHAPERIA', ['action' => 'editplaya2', $inventario->id], ['class' => 'btn btn-sm btn-warning']);
                                                 }
                                            }else{
                                                if($inventario->estadochaperia == 2){
                                                    if($current_user['id']==1 or $current_user['id']==3 or $current_user['id']==101 or $current_user['id']==61 or $current_user['id']==31 or $current_user['id']==127 or $current_user['id']==8 or $current_user['id']==128 or $current_user['id']==145 or $current_user['id']==181 or $current_user['id']==210 or $current_user['id']==211 or $current_user['id']==42){
                                                        echo $this->Html->link('RECEP. PLAYA DE CHAPERIA', ['controller' => 'inventariorechazados', 'action' => 'add', $inventario->id, 2], ['class' => 'btn btn-sm btn-warning']);
                                                    }
                                                }
                                            }
                                            
                                        }
                                        
                                     }
                                }
                            }
                    ?>
                   <?php   if($current_user['id']==0){  ?>
                    <?= $this->Form->postLink(__('borrar'), ['action' => 'delete', $inventario->id], ['confirm' => __('Desea borrar # {0}?', $inventario->id)]) ?>
                    <?php  } ?>
                    
                    
                     <?= $this->Html->link('AGG FOTO', ['controller' => 'imagenapps', 'action' => 'addvarios', strtoupper($inventario->chasis)], ['class' => 'btn btn-sm btn-primary']) ?>
                   
                    
                    
                </td>
            </tr>
        <?php endforeach; ?>
            </tbody>
            </table>
        </div>

        <div class="paginator">
            <ul class="pagination">
                <?= $this->Paginator->prev('< Anterior') ?>
                <?= $this->Paginator->numbers(['before' => '', 'after' => '']) ?>
                <?= $this->Paginator->next('Siguiente >') ?>
            </ul>
            <p><?= $this->Paginator->counter() ?></p>
        </div>
    </div>
</div>
