<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\Propuesta[]|\Cake\Collection\CollectionInterface $propuestas
 */
?>
<nav class="large-3 medium-4 columns" id="actions-sidebar">
    <ul class="side-nav">
        <li class="heading"><?= __('Actions') ?></li>
        <li><?= $this->Html->link(__('New Propuesta'), ['action' => 'add']) ?></li>
    </ul>
</nav>
<div class="propuestas index large-9 medium-8 columns content">
    <h3><?= __('Propuestas') ?></h3>
    <table cellpadding="0" cellspacing="0">
        <thead>
            <tr>
                <th scope="col"><?= $this->Paginator->sort('id') ?></th>
                <th scope="col"><?= $this->Paginator->sort('nombre') ?></th>
                <th scope="col"><?= $this->Paginator->sort('ceular') ?></th>
                <th scope="col"><?= $this->Paginator->sort('propuesta') ?></th>
                <th scope="col"><?= $this->Paginator->sort('observacion') ?></th>
                <th scope="col"><?= $this->Paginator->sort('chasis') ?></th>
                <th scope="col"><?= $this->Paginator->sort('bono') ?></th>
                <th scope="col"><?= $this->Paginator->sort('respuestagerente') ?></th>
                <th scope="col"><?= $this->Paginator->sort('estado') ?></th>
                <th scope="col"><?= $this->Paginator->sort('usuario') ?></th>
                <th scope="col"><?= $this->Paginator->sort('photo') ?></th>
                <th scope="col"><?= $this->Paginator->sort('photo_dir') ?></th>
                <th scope="col" class="actions"><?= __('Actions') ?></th>
            </tr>
        </thead>
        <tbody>
            <?php foreach ($propuestas as $propuesta): ?>
            <tr>
                <td><?= $this->Number->format($propuesta->id) ?></td>
                <td><?= h($propuesta->nombre) ?></td>
                <td><?= h($propuesta->ceular) ?></td>
                <td><?= h($propuesta->propuesta) ?></td>
                <td><?= h($propuesta->observacion) ?></td>
                <td><?= h($propuesta->chasis) ?></td>
                <td><?= $this->Number->format($propuesta->bono) ?></td>
                <td><?= h($propuesta->respuestagerente) ?></td>
                <td><?= $this->Number->format($propuesta->estado) ?></td>
                <td><?= $this->Number->format($propuesta->usuario) ?></td>
                <td><?= h($propuesta->photo) ?></td>
                <td><?= h($propuesta->photo_dir) ?></td>
                <td class="actions">
                    <?= $this->Html->link(__('View'), ['action' => 'view', $propuesta->id]) ?>
                    <?= $this->Html->link(__('Edit'), ['action' => 'edit', $propuesta->id]) ?>
                    <?= $this->Form->postLink(__('Delete'), ['action' => 'delete', $propuesta->id], ['confirm' => __('Are you sure you want to delete # {0}?', $propuesta->id)]) ?>
                </td>
            </tr>
            <?php endforeach; ?>
        </tbody>
    </table>
    <div class="paginator">
        <ul class="pagination">
            <?= $this->Paginator->first('<< ' . __('first')) ?>
            <?= $this->Paginator->prev('< ' . __('previous')) ?>
            <?= $this->Paginator->numbers() ?>
            <?= $this->Paginator->next(__('next') . ' >') ?>
            <?= $this->Paginator->last(__('last') . ' >>') ?>
        </ul>
        <p><?= $this->Paginator->counter(['format' => __('Page {{page}} of {{pages}}, showing {{current}} record(s) out of {{count}} total')]) ?></p>
    </div>
</div>
